routes/web.php
<?php

use App\Models\Service;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\LogController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\PatientController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\CalenderController;
use App\Http\Controllers\EmployerController;
use App\Http\Controllers\PaimentController;
use App\Http\Controllers\PrintController;
use App\Http\Controllers\ServicesController;
use App\Http\Controllers\RendezVousController;
use App\Http\Controllers\SearchController;
use App\Http\Controllers\StatiqtiqueController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return redirect('/login');
});





Route::middleware('auth')->group(function(){


Route::resource('Employe',EmployerController::class);
Route::middleware(['auth','RoleCheck:ADMIN,manage-employe'])->group(function(){
    Route::resource('Roles',RoleController::class);
    Route::get('Logs',[LogController::class,'index']);
    Route::get('Statistiques',[StatiqtiqueController::class,'index']);
});
Route::resource('Services',ServicesController::class);
    Route::resource('Patients',PatientController::class);
    Route::post('Paiment',[PaimentController::class,'add'])->name('paiment');
    Route::get('Paiments',[PaimentController::class,'index'])->name('paiments');
    Route::get('print/{id}',[PrintController::class,'print'])->name('print');

    Route::post('Valider/{id}',[PaimentController::class,'confirmer'])->name('validate');
    Route::post('Reject/{id}',[PaimentController::class,'reject'])->name('reject');
    Route::resource('Consultations',RendezVousController::class);

Route::middleware(['auth','RoleCheck:MEDECIN,show-calender'])->group(function(){
    Route::get('Calender',[CalenderController::class,'index']);
});

Route::get("result",[SearchController::class,'search'])->name('search');

});

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::get("consultationResult",function(){
    return view("consultationResultPage");
});




Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';

resources/views/ConsultationAjouter.blade.php
@extends("layouts.DashboardLayout")
@section("content")
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>


@endsection

resources/views/ConsultationMedecin.blade.php
@extends('layouts.DashboardLayout')
@section('content')

    <script src='https://cdn.jsdelivr.net/npm/fullcalendar@6.1.8/index.global.min.js'></script>
    <script>
        let events = {{Js::from($events)}}
        (events)
      document.addEventListener('DOMContentLoaded', function() {
        var calendarEl = document.getElementById('calendar');
        var calendar = new FullCalendar.Calendar(calendarEl, {
          initialView: 'dayGridMonth',
          headerToolbar: {
            left: 'prev,next today',
            center: 'title',
            right: 'dayGridMonth,timeGridDay'
          },
          events:events,
          height: 500,
          width:500
        });
        calendar.render();
      });

    </script>
  <body>
    @push('search')
    <form action="">
        <input type="text" placeholder="search">
    </form>
    @endpush
    <div class="modal fade" id="calendarModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-body" id='calendar' style="margin-top: 15px;padding:2rem ;background-color:rgb(255, 255, 255);border-radius:6px" >
            </div>
          </div>
        </div>
      </div>


      {{--  --}}

      <div class="tbl-header">
        <button id="addconsultation" class=" btnAjouter show-modal"><i class="fa-solid fa-plus"></i></button>
      <table cellpadding="0" cellspacing="0" border="0" >
        <thead>
          <tr class="p-2  "  >
            <th scope="col">NumeroConsultation</th>
            <th scope="col">Objet</th>
            <th scope="col">Observation</th>
            <th scope="col">Date_consultation</th>
            <th scope="col">TypeCosultation</th>
            <th scope="col">Patient</th>
            <th scope="col">Action</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            @foreach ($consultations as $consulatation )

            <th scope="row">{{$consulatation->NumeroConsultation}}</th>
            <td>{{$consulatation->Objet}}</td>
            <td>{{$consulatation->Observation}}</td>
            <td>{{$consulatation->Date_consultation}}</td>
            <td>{{$consulatation->TypeCosultation}}</td>
            <td>{{$consulatation->patient->CIN}} - {{$consulatation->patient->Nom}} </td>

            <td>
                <div class="d-flex  ">
                    <a  href="{{route('Consultations.edit',$consulatation->id)}}" class="btn me-1 btn-warning" ><i class="fa-solid fa-pen-to-square"></i></a>
                    <button data-bs-toggle="modal" data-bs-target="#modal{{ $consulatation->id }}" class="detail-consultation text-primary"><i class="fa-solid fa-eye"></i></button>
                </div>
            </td>
        </tr>


      <div class="modal fade" id="modal{{ $consulatation->id }}" tabindex="-1"  aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Detail consultation <b>#{{ $consulatation->id }}</b></h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body consultation-modal">
                <div>
                    <span>Number Consultation</span><span>{{ $consulatation->NumeroConsultation }}</span>
                </div>
                <div>
                    <span>Patient</span><span>{{ $consulatation->patient->Nom }}</span>
                </div>
                <div>
                    <span>Objet</span><span>{{ $consulatation->Objet }}</span>
                </div>
                <div>
                    <span>Number Consultation</span><span>{{ $consulatation->Observation }}</span>
                </div>
                <div>

                    <span>Type Consultation</span><span>{{ $consulatation->TypeCosultation }}</span>
                </div>
            </div>

          </div>
        </div>
      </div>

        @endforeach

        </tbody>
    </table>
    {{$consultations->links()}}
    </div>

  </body>

@endsection

resources/views/Log.blade.php
@extends('layouts.DashboardLayout')
@section('content')
<div class="tbl-header">
    <table cellpadding="0" cellspacing="0" border="0" >
        <thead>
          <tr class="p-2"  >
            <th scope="col">#</th>
            <th scope="col">Message</th>
          </tr>
        </thead>
        <tbody>
            @foreach ($logs as $log )
            <tr>
                <td>
                    {{$log->id}}
                </td>
                <td>
                    {{$log->message}}
                </td>
            </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection

resources/views/Paiments.blade.php
@extends('layouts.DashboardLayout')
@section('content')
<div class=" mt-5 tbl-header">
    <table cellpadding="0" cellspacing="0" border="0">
        <thead>
          <tr   style="background-color: #ececec;" >
          <th>Paiment ID</th>
          <th>Montant</th>
          <th>Type</th>
          <th>Status</th>
          <th>Actions</th>
          </tr>
        </thead>
    <tbody>
        @foreach ($paiments as  $paiment )
            <tr>
                <td>{{$paiment->id}}</td>
                <td>{{$paiment->Montant}}</td>
                <td>{{$paiment->mode->typepaiment}}</td>
                <td>{{$paiment->status}}</td>
                @if (!in_array($paiment->status,['Rejected','Confirme']))
                <td>
                    <div class="d-flex">
                        <form action="{{route('validate',$paiment->id)}}" method="post">
                        @csrf
                        <button class="btn bg-light ">
                            <i class=" text-success  fa-solid fa-check"></i>
                        </button>
                        </form>
                </div>
                </td>
                @endif
            </tr>
        @endforeach
    </tbody>
    </table>
</div>

@endsection

resources/views/PatientAjouter.blade.php
@extends("layouts.DashboardLayout")
@section("content")
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>

<form method="POST" enctype="multipart/form-data"  action="{{route('Patients.store')}}" class="AjouterForm p-4  m-3" style="background-color: #fff;border-radius:5px" >

    @csrf
        <h3 class="text-center" >Ajouter Patient</h3>
        <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Numéro</label>
            <input type="text"  required name="Numero" class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">CIN</label>
            <input  type="text" name="CIN"  required class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Nom</label>
            <input  type="text" name="Nom" required class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Prenom</label>
            <input  type="text" name="Prenom"  required class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Adresse</label>
            <input  type="text" name="Adresse"  required class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Tel</label>
            <input  type="text" name="Tel"  required class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Email</label>
            <input  type="email" name="Email"  required class="form-control" id="exampleFormControlInput1" >
          </div>
          <div class="row mb-5 ">
            <div class="col-6">
                <label for="exampleFormControlInput1" class="form-label">CIN RECTO</label>
                <div  style="border: 3px dashed #646161d6;border-radius:5px" >
                <label id="ll"  for="cinrecto"><i  style="font-size:220"  class="fa-solid fa-cloud-arrow-up"></i></label>
                </div>
                <input  name="cinrecto" type="file" id="cinrecto" style="visibility:hidden" >
            </div>
            <div class="col-6">
                <label for="exampleFormControlInput1" class="form-label">CIN VERSO</label>
                <div  style="border: 3px dashed #646161d6;border-radius:5px" >
                <label id="ll" for="cinverso"><i  style="font-size: 220" class="fa-solid fa-cloud-arrow-up"></i></label>
                </div>
                <input name="cinverso"  type="file" id="cinverso" style="display: none" >
            </div>
          </div>
          <button class="btn btn-danger ">Enregistrer</button>
        </form>

        <script>
            let files = document.querySelectorAll('input[type="file"]')
            (files)
            files.forEach(file=>file.onchange=(e)=>{
                let url = URL.createObjectURL(e.target.files[0])
                let thumb = file.closest('div').querySelector('#ll')
                thumb.innerHTML='';
                let img = document.createElement('img')
                img.setAttribute('src',url)
                thumb.append(img)
            })
        </script>
@endsection

resources/views/PatientModifier.blade.php
@extends("layouts.DashboardLayout")
@section("content")
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>

<form method="POST" enctype="multipart/form-data"  action="{{route('Patients.update',$patient->id)}}" class="AjouterForm p-4  m-3" style="background-color: #fff;border-radius:5px" >
    @method('PUT')
    @csrf
        <h3 class="text-center" >Modifier Patient</h3>
        <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Numéro</label>
            <input  type="text" value="{{$patient->Numero}}"  required name="Numero" class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">CIN</label>
            <input type="text"  value="{{$patient->CIN}}" name="CIN"  required class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Nom</label>
            <input  type="text"  value="{{$patient->Nom}}" name="Nom" required class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Prenom</label>
            <input  type="text"  value="{{$patient->Prenom}}" name="Prenom"  required class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Adresse</label>
            <input  type="text"  value="{{$patient->Adresse}}" name="Adresse"  required class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Tel</label>
            <input  type="text"  value="{{$patient->Tel}}"  name="Tel"  required class="form-control" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Email</label>
            <input  type="email" value="{{$patient->Email}}"  name="Email"  required class="form-control" id="exampleFormControlInput1" >
          </div>
          <div class="row mb-5 ">
            <div class="col-6">
                <label for="exampleFormControlInput1" class="form-label">CIN RECTO</label>
                <div  style="border: 3px dashed #646161d6;border-radius:5px" >
                <label id="ll"  for="cinrecto">
                    <img src="{{'/storage/'.$patient->cinrecto}}" alt="">
                </label>
                </div>
                <input  name="cinrecto" type="file" id="cinrecto" style="visibility:hidden" >
            </div>
            <div class="col-6">
                <label for="exampleFormControlInput1" class="form-label">CIN VERSO</label>
                <div  style="border: 3px dashed #646161d6;border-radius:5px" >
                <label id="ll" for="cinverso">
                    <img src="{{'/storage/'.$patient->cinverso}}" alt="">
                </label>
                </div>
                <input name="cinverso"  type="file" id="cinverso" style="display: none" >
            </div>
          </div>
          <button class="btn btn-danger ">Enregistrer</button>
        </form>

        <script>
            let files = document.querySelectorAll('input[type="file"]')
            (files)
            files.forEach(file=>file.onchange=(e)=>{
                let url = URL.createObjectURL(e.target.files[0])
                let thumb = file.closest('div').querySelector('#ll')
                thumb.innerHTML='';
                let img = document.createElement('img')
                img.setAttribute('src',url)
                thumb.append(img)
            })
        </script>
@endsection

resources/views/Patients.blade.php
@extends('layouts.DashboardLayout')
@section("content")

<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>



{{-- @if (session('success'))
<script>
    setTimeout(function() {
                Swal.fire({
                    icon: 'success',
                    title: 'Success Message',
                    text: "{{$session('success')}}"",
                    toast: true,
                    position: 'top-end',
                    showConfirmButton: false,
                    timer: 3000
                });
            }, 500);
</script>
@endif --}}



{{-- @if (session('message'))
<div class="alert alert-success mt-3 " role="alert">
    {{session('message')}}
  </div>

@endif
 --}}



@push("search")
  <form action="">
    <input type="text" placeholder="search">
  </form>
@endpush
<div class="d-flex  justify-content-between  align-items-center p-2  my-2">

     @can('add-patient')
     <button id="zer" type="button" class="btn btn-primary btnAjouter" data-bs-toggle="modal" data-bs-target="#ajouterpatient" >
        <i class="fa-solid fa-plus"></i>
    </button>
     @endcan

</div>
<div class="modal fade" id="ajouterpatient" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content  p-4 ">
            <form method="POST" enctype="multipart/form-data"  action="{{route('Patients.store')}}" class="AjouterForm" style="background-color: #fff;border-radius:5px" >
    @csrf
    <div class="col-12 ">
    <label for="exampleFormControlInput1" class="form-label">Medecin</label>
    <select required class="form-select form-select-sm" name="employe_id" >
        <option value="">Choisir Medecin</option>
        @foreach ($medecins as $medecin)
        <option value="{{$medecin->id}}">{{$medecin->Matricule}} - {{$medecin->Nom}}</option>
        @endforeach
      </select>
     </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">CIN</label>
            <input  type="text"  value="{{old('CIN')}}" name="CIN"  required class="form-control form-control-sm " id="exampleFormControlInput1" >
            <p class="text-danger" >@error('CIN') {{$message}} @enderror</p>
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Nom</label>
            <input  type="text" name="Nom"  value="{{old('Nom')}}" required class="form-control  form-control-sm" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Prenom</label>
            <input  type="text" name="Prenom"  value="{{old('Prenom')}}" required class="form-control  form-control-sm" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Adresse</label>
            <input  type="text" name="Adresse" value="{{old('Adresse')}}"  required class="form-control  form-control-sm" id="exampleFormControlInput1" >
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Tel</label>
            <input  type="text" name="Tel" value="{{old('Tel')}}"  required class="form-control form-control-sm" id="exampleFormControlInput1" >
            <p class="text-danger" >@error('Tel') {{$message}} @enderror</p>
          </div>

          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Email</label>
            <input  type="email" name="Email" value="{{old('Email')}}" required class="form-control form-control-sm" id="exampleFormControlInput1" >
            <p class="text-danger" >@error('Email') {{$message}} @enderror</p>
          </div>
          <div class="row mb-1 ">
            <div class="col-6" class="cin">
                <label for="exampleFormControlInput1" >CIN RECTO</label>
                <div class="upload-icon-holder"  style="border: 3px dashed #646161d6;border-radius:5px" >
                <label id="ll"  for="cinrecto"><i    class="fa-solid fa-cloud-arrow-up icon-upload"></i></label>
                </div>
                <input  name="cinrecto" type="file" id="cinrecto" style="visibility:hidden" >
            </div>
            <div class="col-6" class="cin">
                <label for="exampleFormControlInput1" >CIN VERSO</label>
                <div class="upload-icon-holder"  style="border: 3px dashed #646161d6;border-radius:5px" >
                <label id="ll" for="cinverso"><i    class="fa-solid fa-cloud-arrow-up icon-upload"></i></label>
                </div>
                <input name="cinverso"  type="file" id="cinverso" style="display: none" >
            </div>
          </div>
          <button style="width: 100%;padding:10PX" class="btn btn-danger btnAj ">Enregistrer</button>
        </form>

</div>
    </div>
  </div>
<section>

  <div class="tbl-header">
    <table cellpadding="0" cellspacing="0" border="0">
      <thead>
        <tr  style="background-color: #ececec;"  >
        <th>#</th>
        <th>CIN</th>
        <th>Nom</th>
        <th>Prenom</th>
        <th>Adresse</th>
        <th>Tel</th>
        <th>Email</th>
        <th>Action</th>
        </tr>
      </thead>

  </div>



      <tbody>
      <tr>
        @foreach ($patients as $patient )

        <th>{{$patient->id}}</th>
        <td>{{$patient->CIN}}</td>
        <td>{{$patient->Nom}}</td>
        <td>{{$patient->Prenom}}</td>
        <td>{{$patient->Adresse}}</td>
        <td>{{$patient->Tel}}</td>
        <td>{{$patient->Email}}</td>
        <td class="actions">
                @can('update', $patient)
                <button data-bs-toggle="modal" data-bs-target="#modifier{{$patient->id}}" class="custom-button" ><i class="fa-solid fa-pen-to-square"></i></button>
                @include('layouts.ModifierPatient',['patient'=>$patient])
                @endcan
    </tr>
    @endforeach



      </tbody>

    </table>
    {{$patients->links()}}

  </div>
</section>



</table>


@if ($errors->any())
<script>
    let ppp = document.querySelector('#zer');
    (ppp)
    ppp.click();
</script>
@endif









<script>
    $(document).ready(function() {
        $('form').on('submit', function(event) {
            event.preventDefault();

            var form = $(this);
            var formData = new FormData(form[0]);
            var url = form.attr('action');

            $.ajax({
                type: 'POST',
                url: url,
                data: formData,
                processData: false,
                contentType: false,
                success: function(response) {
                    (response);
                },
                error: function(xhr, status, error) {
                    var errors = JSON.parse(xhr.responseText);
                    (errors);
                    $('.mb-3 p.text-danger').remove();
                    $.each(errors.errors, function(key, value) {
                         $('[name="' + key + '"]').closest('.mb-3').append('<p class="text-danger">' + value[0] + '</p>');
                    });
                }
            });
        });
    });
    </script>















<script>
const closeModalButtons = document.querySelectorAll(".close-modal")
const modals = document.querySelectorAll(".modal-holder")
const showModals = document.querySelectorAll(".show-modal")

closeModalButtons.forEach(close=>{
    close.addEventListener("click",()=>{
    modals.forEach(modal=>{
        if(modal.id==close.id){
            modal.classList.add('hide')
        }
    })

})})

showModals.forEach(showModal=>{
    showModal.addEventListener('click',()=>{
        (showModal)
        modals.forEach(modal=>{
            if(modal.id==showModal.id){
                modal.classList.remove("hide")
            }
        })
})
})

let files = document.querySelectorAll('input[type="file"]')
            (files)
            files.forEach(file=>file.onchange=(e)=>{
                let url = URL.createObjectURL(e.target.files[0])
                let thumb = file.closest('div').querySelector('#ll')
                thumb.innerHTML='';
                let img = document.createElement('img')
                img.setAttribute('src',url)
                thumb.append(img)
    })

</script>

@endsection

resources/views/Roles.blade.php
@extends('layouts.DashboardLayout')
@section("content")

@if (session('success'))
<script>
    setTimeout(function() {
                Swal.fire({
                    icon: 'success',
                    title: 'Product Added',
                    text: 'The product has been added successfully!',
                    toast: true,
                    position: 'top-end',
                    showConfirmButton: false,
                    timer: 3000
                });
            }, 1000);
</script>


@endif


<div class=" mt-5 tbl-header">

      <button type="button" class="btn btn-primary btnAjouter" data-bs-toggle="modal" data-bs-target="#exampleModal">
        <i class="fa-solid fa-plus"></i>
      </button>

      <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">

            <div class="modal-body">
                <form action="{{route('Roles.store')}}" method="post">
                    @csrf
                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">Role</label>
                        <input  type="text"  name="name"  required class="form-control" id="exampleFormControlInput1" >
                    </div>
                    <button class="btn btnAj btn-primary" style="width: 100%;background-color:#163dcd"  >Enregistrer</button>
                </form>
            </div>

          </div>
        </div>
      </div>


    <table cellpadding="0" cellspacing="0" border="0">
        <thead>
          <tr style="background-color: #ececec;"  >
          <th>Role</th>
          <th>Action</th>
          </tr>
        </thead>
    <tbody>
        @foreach ($roles as $role )
        <tr>
            <td>{{$role->name}}</td>
            <td>
                <div class="btn btn-light"  data-bs-toggle="modal" data-bs-target={{"#modifier".$role->id}}><i class="fa-regular fa-pen-to-square"></i></div>
            </td>
            @include('layouts.modifierRole',['role'=>$role])
        </tr>
        @endforeach
    </tbody>
</table>
</div>




@endsection

resources/views/Services.blade.php
@extends('layouts.DashboardLayout')
@section('content')
<div class=" mt-5 tbl-header">

    <button type="button" class="btn btn-primary btnAjouter" data-bs-toggle="modal" data-bs-target="#exampleModal">
        <i class="fa-solid fa-plus"></i>
      </button>

      <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">

            <div class="modal-body">
                <form action="{{route('Services.store')}}" method="post">
                    @csrf
                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">Nom Service</label>
                        <input  type="text"  name="nom"  required class="form-control" id="exampleFormControlInput1" >
                    </div>
                    <button class="btn btnAj btn-primary" style="width: 100%;background-color:#163dcd"  >Enregistrer</button>
                </form>
            </div>

          </div>
        </div>
      </div>


      <table cellpadding="0" cellspacing="0" border="0">

        <thead>
          <tr   style="background-color: #ececec;" >
          <th>Id</th>
          <th>Service</th>
          </tr>
        </thead>
    <tbody>
        @foreach ($services as $service )
        <tr>
            <td>{{$service->nom}}</td>
            <td>
                <div class="btn btn-light"  data-bs-toggle="modal" data-bs-target={{"#modifier".$service->id}}><i class="fa-regular fa-pen-to-square"></i></div>
            </td>
            @include('layouts.modifierServices',['service'=>$service])
        </tr>
        @endforeach
    </tbody>
</table>
</div>


@endsection